import polyglotI18nProvider from 'ra-i18n-polyglot';
import { TranslationMessages } from "ra-core";
import {ru} from './core/i18n/messages/ru'
import {en} from './core/i18n/messages/en'

const translations: Record<string, TranslationMessages> = {
  en,
  ru,
};

export const i18nProvider = polyglotI18nProvider(
  locale => translations[locale],
  'en', // default locale
  [
    { locale: 'en', name: 'English' },
    { locale: "ru", name: "Russian" },
  ],
);