import { EntityMessages } from "../../../building-blocks/stages/template-model/pieces/getEntityMessages";
/**
 * Find locale file by localeName in file system of generated app
 * then find variable with localeMessages by localeName
 * then find "resources" property inside variable, if there is no 'resource' property - create it
 * then merge default messages with existing messages to locale file in file system
 *
 * @param localeMessagesPath - path of i18n messages dir
 * @param localeName - using to get locale file in i18n messages dir and find variable with locale messages inside
 * @param defaultMessages - messages that should by in generated app, them can be overridden later in generated app
 */
export declare function mergeI18nMessagesWithLocaleFile(localeMessagesPath: string, localeName: string, defaultMessages: EntityMessages): Promise<void>;
/**
 * Take localeFileContent
 * then find variable with localeMessages by localeName
 * then find "resources" property inside variable, if there is no 'resource' property - create it
 * then merge default messages with existing messages to locale file in file system
 *
 * @param localeFileContent - string version of locale file from generated app
 * @param localeName - using to find variable with locale messages inside
 * @param defaultMessages - messages that should by in generated app, them can be overridden later in generated app
 * @returns localeFileContent with added default messages which was missed before
 */
export declare function mergeI18nMessagesWithLocaleFileContent(localeFileContent: string, localeName: string, defaultMessages: EntityMessages): string;
